Autor Tema: Actualización a 3.0.0 desde versión desarrollo c/personalizaciones (SOLUCIONADO)  (Leído 396 veces)

0 Usuarios y 1 Visitante están viendo este tema.

demartin

  • Newbie
  • *
  • Mensajes: 39
    • Ver Perfil
  • Institución: Fiuba
  • Nombre y apellido: Debora Martin
  • Sistema: Diaguita
  • Utilizo algun sistéma del SIU: Sí
Buen día.

Quería consultarles porque tengo una instalación de la versión 2.7.0 en modo desarrollo, con personalizaciones y la quiero actualizar a la 3.0.0. Como sugiere en http://documentacion.siu.edu.ar/wiki/SIU-Diaguita/version3.0.0/instalacion_actualizacion#Actualizaci.C3.B3n_de_una_instalaci.C3.B3n_con_personalizaciones lo que hice fue instalar la version 3.0.0 descargada como comprimido desde el repositorio. Los pasos que seguí fueron los siguientes.
  • En el instalador.env le puse el nombre de la base de datos que venía usando con diaguita 2.7.0.
  • Corrí  ./bin/instalador proyecto:instalar --db-negocio-existente. La instalación finalizó bien y pude entrar a diaguita normalmente, sin ningún problema.
  • Copié el directorio personalización/metadatos y personalización/php de la instalación vieja a la nueva. Obviamente no tuve ningún problema con metadatos porque esa carpeta no existía en la instalación nueva. Y con php, solo agregué los archivos personalizados, pero dejé la carpeta extension_toba como viene con la version 3.0.0
  • Agregué schema_personalizado a personalizacion.ini.
  • Corrí toba personalizacion iniciar
  • Corrí toba personalizacion conflictos -p diaguita. No saltó ningún conflicto.
  • Corrí toba personalizacion importar -p diaguita. También sin problemas.

El problema es que cuando entro en diaguita después de la importación me da error 500. Después de eso entré en toba editor para ver que había pasado con los cambios que hice. Por ejemplo, yo había agregado algunos campos en solicitud de bienes y servicios, items, items_solicitados, pant_item, formulario. Al abrir el último parece que se rompe toba_editor. Adjunto la imagen de lo que pasa. Por ejemplo, no me deja ver la parte de la carga del campo, ni los botones guardar y cancelar, y tampoco puedo seleccionar otro campo del formulario.
Ya realice todo varias veces para asegurarme de que no me había equivocado en los pasos. Ustedes sabrían decirme cual es el problema?

Desde ya les agradezco

Update: me di cuenta  que hace eso con todos los ef_combo de ese formulario por lo menos. Con el resto de los campos anda perfecto, aún con los personalizados que no son ef_combo.
Update2: revisando un poco más veo que pasa lo mismo con todos los ef_combo de muchos formularios (por no decir todos), incluso los que no están personalizados.
« Última Modificación: Mayo 06, 2020, 04:59:55 pm por mdeganis »

fkorol

  • Moderador Global
  • *****
  • Mensajes: 276
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Fernando Korol
  • Sistema: Diaguita
  • Teléfono laboral: 03752440097
Re:Actualización a 3.0.0 desde versión de desarrollo con personalizaciones
« Respuesta #1 on: Mayo 04, 2020, 06:40:42 pm »
Hola Debora, buenas tardes

Te pido que crees un GDS, ya que por esa vía te vamos a solicitar información de logs sobre los errores que estas teniendo con tu personalización y posiblemente información de configuración, asi vemos si pueden llegar a dejar operativa su verisón 3.0.0 personalizada.

Estamos en contacto.

Saludos,
Fernando.